ApiScmDbInfo (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiScmDbInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiScmDbInfo

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiScmDbInfo
      extends Object

  Cloudera Manager server's database information

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiScmDbInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiScmDbInfo` | `embeddedDbUsed(Boolean embeddedDbUsed)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getEmbeddedDbUsed()` Whether Cloudera Manager server is using embedded DB
    `ScmDbType` | `getScmDbType()` Cloudera Manager server's db type
    `int` | `hashCode()`
    `ApiScmDbInfo` | `scmDbType(ScmDbType scmDbType)`
    `void` | `setEmbeddedDbUsed(Boolean embeddedDbUsed)`
    `void` | `setScmDbType(ScmDbType scmDbType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiScmDbInfo

          public ApiScmDbInfo()

  - ### Method Detail

    - #### scmDbType

          public ApiScmDbInfo scmDbType(ScmDbType scmDbType)

    - #### getScmDbType

          public ScmDbType getScmDbType()

      Cloudera Manager server's db type
      Returns:
        scmDbType

    - #### setScmDbType

          public void setScmDbType(ScmDbType scmDbType)

    - #### embeddedDbUsed

          public ApiScmDbInfo embeddedDbUsed(Boolean embeddedDbUsed)

    - #### getEmbeddedDbUsed

          public Boolean getEmbeddedDbUsed()

      Whether Cloudera Manager server is using embedded DB
      Returns:
        embeddedDbUsed

    - #### setEmbeddedDbUsed

          public void setEmbeddedDbUsed(Boolean embeddedDbUsed)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.